import 'package:ingdao/dataflow/field/dfbasefield.dart';
import 'package:ingdao/dataflow/repository/dfbaserepository.dart';
import '../data_factory.dart';
import '../entity/updatedetailsweb.dart';

abstract class UpdateDetailsField {

  DfBaseField fTopMarginRatio;
  DfBaseField fLogoUrl;
  DfBaseField fLogoWidth;
  DfBaseField fLogoHeight;
  DfBaseField fAppTitle;
  DfBaseField fAppTitleSize;  
  DfBaseField fAppTitleColor;
  DfBaseField fUpdateTitle;
  DfBaseField fUpdateTitleSize;
  DfBaseField fUpdateTitleColor;
  DfBaseField fVersion;
  DfBaseField fUpdateUrl;
  DfBaseField fUpdateUrlFailLaunchMessage;
  DfBaseField fUpdateLevel;
  DfBaseField fUpdateMessage;
  DfBaseField fUpdateMessageSize;
  DfBaseField fUpdateMessageColor;
  DfBaseField fBackgroundColorTop;
  DfBaseField fBackgroundColorBottom;
  DfBaseField fSlideUpPanelColor;
  DfBaseField fButProceedText;
  DfBaseField fButProceedColor;
  DfBaseField fButLaterText;  
  DfBaseField fButLaterColor;
  DfBaseField fReleaseNote;
  DfBaseField fActive;
  DfBaseField fCreatedOn;

  static UpdateDetailsField createFieldBasedOnRepo(DfBaseRepository repo) {
    switch (repo.model.name) {
      // case REPO_NAME_SQLITEDB :
      //   return TankTimesheet();
      case REPO_NAME_WEB :
        return UpdateDetailsWeb();
    }
    return null;
  }
}