import 'package:ingdao/dataflow/field/dfbasefield.dart';
import 'package:ingdao/dataflow/repository/dfbaserepository.dart';
import '../data_factory.dart';
import '../entity/update_details_req_web.dart';

abstract class UpdateDetailsReqField {

  DfBaseField fAppName;
  DfBaseField fVersion;
  DfBaseField fPlatform;

  static UpdateDetailsReqField createFieldBasedOnRepo(DfBaseRepository repo) {
    switch (repo.model.name) {
      // case REPO_NAME_SQLITEDB :
      //   return TankTimesheet();
      case REPO_NAME_WEB :
        return UpdateDetailsReqWeb();
    }
    return null;
  }
}