import 'package:flutter/material.dart';
import 'timesheet_screen.dart';

import '../bloc/bloc_provider.dart';
import '../bloc/tanktimesheet_bloc.dart';
import '../datalayer/field/tanktimesheet/tanktimesheet_field.dart';

class MainScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {

    return StreamBuilder<TankTimesheetField>(
      stream: BlocProvider.of<TankTimesheetBloc>(context).stream,
      builder: (context, snapshot) {
        final timesheet = snapshot.data;

        //if (location == null) {
          return TimesheetScreen();
        // }
        // return Container();
      }
    );
  }

}