
const REPO_NAME_SQLITEDB = "sqlitedb";
const REPO_NAME_WEB = "web";

enum RepositoryType {
  sqlitedb,
  web
}

extension RepositoryTypeExtension on RepositoryType {

  String get name {
    switch (this) {
      case RepositoryType.sqlitedb:
        return REPO_NAME_SQLITEDB;
      case RepositoryType.web:
        return REPO_NAME_WEB;        
      default:
        return null;
    }
  }

  String desp() {
    return this.name;
  }
}

class AppSetting {
  bool dataEncrypt;
  List<String> sslPinningFingerPrints;
  String serverUrl;
  String dbName;
  String token;

  AppSetting() {
    dataEncrypt = true;
    sslPinningFingerPrints = ["64 CD 58 02 7F 6D BC 6D 80 1C 6B EF DA 4F 31 DD 1B 92 2F E9 7C 45 62 6C 78 01 1A 10 61 2C 1F DE"];
    serverUrl = "https://ingtoo882.pagekite.me/rest/";
    dbName = "usermgmt";
    token = "unknown";
  }
}