import 'package:ingdao/dataflow/entity/dfbaseentity.dart';
import 'package:ingdao/dataflow/entity/dfdbentity.dart';
import 'package:ingdao/dataflow/field/dfbasefield.dart';
import 'package:ingdao/dataflow/field/dfdbfield.dart';
import 'package:ingdao/dataflow/field/dffieldtype.dart';
import 'rolefield.dart';

class Role extends DfDbEntity with RoleField {
  //User({this.id,this.password,this.name,this.email,this.roleid}); 
  Role ({String id, String name, String email, String roleid, String picture}) : super(name: "approle") {
    //{@required DfBaseEntity entity, @required String name, @required this.primaryKey, @required this.joinKey, @required this.type, dynamic value}
    fId = DfDbField(entity: this, name: "id", primaryKey: true, joinKey: true, fieldType: DfFieldType.text(), value: id);
    fName = DfDbField(entity: this, name: "name", primaryKey: false, joinKey: false, fieldType: DfFieldType.text(), value: name);
  }

  @override
  List<DfDbField> fields() {
     return [fId,fName];
  }

  @override
  DfBaseEntity<DfBaseField> newInstance() {
    return Role();
  }
}