import 'dfquerycriteriagroup.dart';
import 'package:meta/meta.dart';

class DfQueryCriteriaGroups {
  List<DfQueryCriteriaGroup> queryGroups;
  String queryStr;

  DfQueryCriteriaGroups({@required this.queryGroups, String queryStr});

  String toString() {
    String result = "";
    if (queryStr == null || queryStr.trim().length == 0) {
      queryGroups.forEach((grp) {
        if (result != "")
          result = "$result AND ";
        result = "$result${grp.toGroupStr()}";
      });
    }
    else {
      String finalQueryStr = queryStr.replaceAll('(', ' ( ');
      finalQueryStr = queryStr.replaceAll(')', ' ) ');
      List<String> parts = finalQueryStr.split(' ');
      int i = 0;
      parts.forEach((part) {
        if (result != "")
          result = "$result ";
        if (part.trim() != '' || part.trim() != ' ') {
          String lcPart = part.trim().toLowerCase();
          if (lcPart != '(' && lcPart != ')' && lcPart != 'and' && lcPart != 'or') {
            result = "$result${queryGroups[i++].toGroupStr()}";
          }
          else {
            result = "$result$part";            
          }
        }
      });
    }
    return result;
  }

}