import 'package:ingdao/dataflow/field/dfbasefield.dart';
import 'package:ingdao/dataflow/repository/dfbaserepository.dart';
import '../../logsetting.dart';
import 'entwebreqexe.dart';

abstract class WebReqExeField {

  DfBaseField fId;
  DfBaseField fWebReqId;
  DfBaseField fCreatedAt;
  DfBaseField fResponse;
  DfBaseField fErrorCode;
  DfBaseField fErrorMessage;

  static WebReqExeField creatFieldBasedOnRepo(DfBaseRepository repo) {
    switch (repo.model.name) {
      case REPO_NAME_SQLITEDB :
        return WebReqExe();
    }
    return null;
  }
}