import 'dart:async';

abstract class Bloc<T> {

  final controller = StreamController<T>();

  Stream<T> get stream => controller.stream;

  sinkAdd(T data) {
    controller.sink.add(data);
  }

  void dispose() {
    controller.close();
  }
}