import 'package:ingdao/dataflow/field/dfbasefield.dart';
import 'package:ingdao/dataflow/repository/dfbaserepository.dart';
import '../data_factory.dart';
import '../entity/response_web.dart';
import '../entity/updatedetailsweb.dart';

abstract class ResponseField {

  DfBaseField fSuccess;
  DfBaseField fData;

  static ResponseField createFieldBasedOnRepo(DfBaseRepository repo, int type) {
    switch (repo.model.name) {
      // case REPO_NAME_SQLITEDB :
      //   return TankTimesheet();
      case REPO_NAME_WEB :
        return ResponseWeb();
    }
    return null;
  }
}