import 'package:ingdao/dataflow/field/dfbasefield.dart';
import 'package:ingdao/dataflow/repository/dfbaserepository.dart';
import '../../../appsetting.dart';
import 'entrole.dart';
import 'entroleweb.dart';

abstract class RoleField {

  DfBaseField fId;
  DfBaseField fName;

  static RoleField createRoleFieldBasedOnRepo(DfBaseRepository repo) {
    switch (repo.model.name) {
      case REPO_NAME_SQLITEDB :
        return Role();
      case REPO_NAME_WEB :
        return RoleWeb();
    }
    return null;
  }
}