
const REPO_NAME_SQLITEDB = "sqlitedb";

enum RepositoryType {
  sqlitedb,
  web
}

extension RepositoryTypeExtension on RepositoryType {

  String get name {
    switch (this) {
      case RepositoryType.sqlitedb:
        return REPO_NAME_SQLITEDB;
      default:
        return null;
    }
  }

  String desp() {
    return this.name;
  }
}

class LogSetting {
  bool dataEncrypt;
  String dbName;

  LogSetting() {
    dataEncrypt = true;
    dbName = "ingdaolog";
  }
}