import 'package:ingdao/dataflow/field/dfbasefield.dart';
import 'package:ingdao/dataflow/repository/dfbaserepository.dart';
import '../../logsetting.dart';
import 'entwebreq.dart';

abstract class WebReqField {

  DfBaseField fId;
  DfBaseField fName;
  DfBaseField fEncrypt;
  DfBaseField fServerUrl;

  DfBaseField fCommonHeaders;
  DfBaseField fSslPinningList;
  DfBaseField fSslPinningType;

  DfBaseField fContextPath;
  DfBaseField fHttpMethod;
  DfBaseField fHeaders;

  DfBaseField fPathVariables;
  DfBaseField fReqParams;
  DfBaseField fReqBody;

  DfBaseField fCreatedAt;
  DfBaseField fSuccess;

  static WebReqField createFieldBasedOnRepo(DfBaseRepository repo) {
    switch (repo.model.name) {
      case REPO_NAME_SQLITEDB :
        return WebReq();

    }
    return null;
  }
}